SELECT Код_типа_подстанции INTO #TmpTable FROM Справочник_типов_подстанций
SET IDENTITY_INSERT Справочник_типов_подстанций ON

IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_подстанции = 1) INSERT INTO Справочник_типов_подстанций (Код_типа_подстанции,Описание) VALUES (1,'Подстанция')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_подстанции = 2) INSERT INTO Справочник_типов_подстанций (Код_типа_подстанции,Описание) VALUES (2,'ТП (трансформаторная)')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_подстанции = 3) INSERT INTO Справочник_типов_подстанций (Код_типа_подстанции,Описание) VALUES (3,'КТП (комплектная ТП)')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_подстанции = 4) INSERT INTO Справочник_типов_подстанций (Код_типа_подстанции,Описание) VALUES (4,'МТП (мачтовая ТП)')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_подстанции = 5) INSERT INTO Справочник_типов_подстанций (Код_типа_подстанции,Описание) VALUES (5,'ЗТП (закрытая ТП)')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_подстанции = 6) INSERT INTO Справочник_типов_подстанций (Код_типа_подстанции,Описание) VALUES (6,'РП (распределительная)')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_подстанции = 7) INSERT INTO Справочник_типов_подстанций (Код_типа_подстанции,Описание) VALUES (7,'КРП (Комплектная РП)')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_подстанции = 8) INSERT INTO Справочник_типов_подстанций (Код_типа_подстанции,Описание) VALUES (8,'МРП (мачтовая РП)')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_подстанции = 9) INSERT INTO Справочник_типов_подстанций (Код_типа_подстанции,Описание) VALUES (9,'ЗРП (закрытая РП)')

SET IDENTITY_INSERT Справочник_типов_подстанций OFF
DROP TABLE #TmpTable
